#include "input.h"
#include <string.h>
#include <ctype.h>

// TODO:
// eine Funktion implementieren, die ein einzelnes Wort aus einer Textdatei (words.txt) einliest und als C-String zurückgibt.

// Read words from file and store in 'words' array
int readWords(FILE *file, char words[][MAX_WORD_LEN], unsigned int maxWordCount)
{
    puts("....");
    char puffer[MAX_LINE_LEN];  //Array für eingelesene Zeile
    int counter = 0;    //Zähler für Anzahl eingelesener Wörter
    int i;

    while(fgets(puffer, MAX_LINE_LEN-1, file) != NULL && counter < maxWordCount)
    {
   puts(".!!!!!");
        char *word_parts = strtok(puffer, ",;\n\t/. "); //Wörter aufteilen

        while(word_parts != NULL && counter < maxWordCount)
        {
            for(i = 0; i < MAX_WORD_LEN -1 || word_parts[i] != '\0'; i++)
                {
                words[counter][i] = toupper(word_parts[i]);  //Großbuchstaben erzeugen
                puts("?????????????????");
                }
                words[counter][i] = '\0';   //Stringdefinition vervollständigen
        }
        counter++; // Wort eingelesen, Wortzähler erhöhen
        word_parts = strtok(NULL, ",;\n\t/. "); //NULL für Zeiger angeben
    }
    return counter;
}